Package org.eclipse.graphiti.features.context

# Interface IMoveShapeContext

All Superinterfaces:
  `IContext`, `ILocationContext`, `IMoveContext`, `IPictogramElementContext`, `IPropertyBag`, `ITargetConnectionContext`, `ITargetContext`

All Known Implementing Classes:
  `MoveShapeContext`

public interface IMoveShapeContext extends IMoveContext, IPictogramElementContext, ITargetContext, ITargetConnectionContext
The Interface IMoveShapeContext.

## Method Summary

Modifier and Type
Method
Description
`int`
`getDeltaX()`
Gets the delta x.
`int`
`getDeltaY()`
Gets the delta y.
`Shape`
`getShape()`
Gets the shape.
`ContainerShape`
`getSourceContainer()`
Gets the source container.

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetConnectionContext

`getTargetConnection`

### Methods inherited from interface org.eclipse.graphiti.features.context.ITargetContext

`getTargetContainer`

## Method Details

### getShape

Shape getShape()
Gets the shape.

Returns:
  the shape

### getSourceContainer

ContainerShape getSourceContainer()
Gets the source container.

Returns:
  the source container

### getDeltaX

int getDeltaX()
Gets the delta x.

Returns:
  the delta x

### getDeltaY

int getDeltaY()
Gets the delta y.

Returns:
  the delta y